Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Wdm.KEY_BASIC_INFORMATION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Wdm.KEY_BASIC_INFORMATION

Enclosing interface:
  Wdm

    public static class Wdm.KEY_BASIC_INFORMATION

extends com.sun.jna.Structure

The KEY_BASIC_INFORMATION structure defines a subset of the full information that is available for a registry key.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`long` | `LastWriteTime` The last time the key or any of its values changed.
`char[]` | `Name` A string of Unicode characters naming the key.
`int` | `NameLength` Specifies the size in bytes of the following name.
`int` | `TitleIndex` Device and intermediate drivers should ignore this member.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Wdm.KEY_BASIC_INFORMATION()`
`Wdm.KEY_BASIC_INFORMATION(int size)`
`Wdm.KEY_BASIC_INFORMATION(com.sun.jna.Pointer memory)`

Method Summary
`java.lang.String` | `getName()` Name of the key.
`void` | `read()`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LastWriteTime

    public long LastWriteTime

  The last time the key or any of its values changed.

### TitleIndex

    public int TitleIndex

  Device and intermediate drivers should ignore this member.

### NameLength

    public int NameLength

  Specifies the size in bytes of the following name.

### Name

    public char[] Name

  A string of Unicode characters naming the key. The string is not null-terminated.

Constructor Detail

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION()

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION(int size)

### Wdm.KEY_BASIC_INFORMATION

    public Wdm.KEY_BASIC_INFORMATION(com.sun.jna.Pointer memory)

Method Detail

### getName

    public java.lang.String getName()

  Name of the key.

  Returns:
    String.

### read

    public void read()

  Overrides:
    `read` in class `com.sun.jna.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD